namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 系统用户类型菜单中间关系表 （需要同步）")]
[Table("UserTypeMenu")]
public partial class UserTypeMenu : Entity
{
    #region 导航属性

    [JsonIgnore]
    [ForeignKey("UserTypeId")]
    public UserType UserType { get; set; }
    [JsonIgnore]
    public Menu Menu { get; set; }
    #endregion

    public Guid UserTypeId { get; set; }
    public Guid MenuId { get; set; }
}
